/* license: AGPLv3 or later */
/* copyright 2023 zamfofex */

#include <mimimi.h>

void *mimimi_wasm_javascript_texture(void *data, struct mimimi_image *image);
void *mimimi_wasm_texture(void *data, struct mimimi_image *image)
{
	return mimimi_wasm_javascript_texture(data, image);
}

void mimimi_wasm_javascript_invalidate(void *data, void *texture);
void mimimi_wasm_invalidate(void *data, void *texture)
{
	mimimi_wasm_javascript_invalidate(data, texture);
}

void mimimi_wasm_javascript_stamp(void *data, int x, int y, void *texture);
void mimimi_wasm_stamp(void *data, int x, int y, void *texture)
{
	mimimi_wasm_javascript_stamp(data, x, y, texture);
}
